sssd 1.10.0-1ubuntu1 source package in Ubuntu

Changelog

sssd (1.10.0-1ubuntu1) saucy; urgency=low

  * Sync from debian unstable git.

sssd (1.10.0-1) unstable; urgency=low

  [ Timo Aaltonen ]
  * New upstream release (Closes: #693054, #705357, #711101)
  * Update the packaging for the new version, thanks Esko Järnfors!
    - Add libsss-idmap0, libsss-idmap-dev packages
    - Add sssd Depends on libsss-idmap0
    - Add /var/lib/sss/mc directory for the new mmap cache
  * Split authentication providers to separate packages and make sssd
    a metapackage.
  * control: Drop libunistring-dev from build-depends and add libglib2.0-dev
    for unicode support.
  * sssd-*.install: Install new manpages.
  * python-sss.install: py-files got moved under SSSDConfig.
  * control, rules: Use default build flags, bump dpkg-dev build-dep to
    1.16.1~.
  * rules: Install the apparmor profile with -m644.
  * python-sss: Add pysss_murmur.so.
  * rules, control, sssd-ad-common.install: PAC responder support.
    - Add libndr-dev, libndr-standard-dev, libsamba-util-dev, samba4-dev,
      libdcerpc-dev to build-depends
    - Add -I/usr/include/samba-4.0 to CFLAGS
  * control: Mark sssd-common as Multi-Arch: foreign.
  * watch: Add a comment about the upstream git tree.
  * Replace perl snippet from libnss-sss.post* with sed, drop perl from
    Depends. (Closes: #686237)
  * compat: Bump compat to 9.
  * rules: Set DEB_HOST_MULTIARCH, drop --libdir and remnants of cdbs.
  * sssd-common.install: Install the support binaries under the multiarch path.
  * rules,sssd-common.postinst: Move generate-config to /usr/share/sssd.
  * rules, sssd-common.install: Use the correct install path for the
    krb5_locator plugin.
  * libnss-sss.postinst: SSSD doesn't handle shadow maps, so don't pretend
    that it would.
  * libsss-sudo*, control: Remove the soname from the library, move .so to
    the libsss-sudo, drop -dev package.
  * rules: Pass --datadir, so the path in autogenerated python files is
    correctly substituted. (LP: #1079938)
  * sssd-krb5-common.dirs: Add krb5 include dir.
  * fix-cve-2013-0219*.diff, -0220.diff: Dropped, included upstream.
  * libsss-sudo.postrm: Run ldconfig on remove/purge.
  * apparmor-profile: Fix the profile to use the multiarch path for it's
    helper location (LP: #1175317).
  * Add packaging for libsss-nss-idmap0, libsss-nss-idmap-dev,
    python-libsss-nss-idmap.
  * watch: Updated to work with alpha/beta releases.
  * control: Migrate to libnl-3 now that it's supported. (Closes: #688174)
  * sssd-common.{preinst,postrm}: Install the apparmor profile in force-complain
    mode on install, and remove the profile directory on purge (if empty). Also
    migrate from previous setup which installed it as disabled.
    (Closes: #676140)
  * control: Bump policy to 3.9.4, no changes.
  * control: Add libpam-pwquality (>= 1.2.2-1) to libpam-sss depends, which
    makes the password stack work in all cases. (LP: #1159983)
  * control: Drop check from build-depends for now, to work around a linking bug
    in check (#712140) that makes the tests fail on (at least) i386.

  [ Stéphane Graber ]
  * Add postinst/postrm script for libsss-sudo. Those will add a "sudoers"
    entry to /etc/nsswitch.conf upon first installation of the package and
    will then take care of adding/removing sss from the stack as required.
  * Set CK_DEFAULT_TIMEOUT to 30 so that slower buildds (armhf at least) can
    run the tests without hitting the default 4s timeout.
 -- Timo Aaltonen <email address hidden>   Fri, 05 Jul 2013 15:26:07 +0300

Upload details

Uploaded by:
Timo Aaltonen on 2013-07-05
Uploaded to:
Saucy
Original maintainer:
Ubuntu Core Developers
Architectures:
any
Section:
utils
Urgency:
Low Urgency

See full publishing history Publishing

Series Pocket Published Component Section

Downloads

File Size SHA-256 Checksum
sssd_1.10.0.orig.tar.gz 3.1 MiB 963f0d55f40377a0ff0e28cb225b0985cda1f48deeefb7efe92b924af9c83ed0
sssd_1.10.0-1ubuntu1.diff.gz 43.4 KiB d5f0594051650405ac5c1edcabe8f0015622bfb3e4b139d1c7cf70920c8fb480
sssd_1.10.0-1ubuntu1.dsc 3.4 KiB f159ad557bfc21805c930b902f3d672617ce570253d605c547b5a47e3cc4e4f7

View changes file

Binary packages built by this source

libipa-hbac-dev: No summary available for libipa-hbac-dev in ubuntu saucy.

No description available for libipa-hbac-dev in ubuntu saucy.

libipa-hbac0: No summary available for libipa-hbac0 in ubuntu saucy.

No description available for libipa-hbac0 in ubuntu saucy.

libnss-sss: No summary available for libnss-sss in ubuntu saucy.

No description available for libnss-sss in ubuntu saucy.

libpam-sss: No summary available for libpam-sss in ubuntu saucy.

No description available for libpam-sss in ubuntu saucy.

libsss-idmap-dev: No summary available for libsss-idmap-dev in ubuntu saucy.

No description available for libsss-idmap-dev in ubuntu saucy.

libsss-idmap0: No summary available for libsss-idmap0 in ubuntu saucy.

No description available for libsss-idmap0 in ubuntu saucy.

libsss-nss-idmap-dev: No summary available for libsss-nss-idmap-dev in ubuntu saucy.

No description available for libsss-nss-idmap-dev in ubuntu saucy.

libsss-nss-idmap0: No summary available for libsss-nss-idmap0 in ubuntu saucy.

No description available for libsss-nss-idmap0 in ubuntu saucy.

libsss-sudo: No summary available for libsss-sudo in ubuntu saucy.

No description available for libsss-sudo in ubuntu saucy.

python-libipa-hbac: No summary available for python-libipa-hbac in ubuntu saucy.

No description available for python-libipa-hbac in ubuntu saucy.

python-libsss-nss-idmap: No summary available for python-libsss-nss-idmap in ubuntu saucy.

No description available for python-libsss-nss-idmap in ubuntu saucy.

python-sss: No summary available for python-sss in ubuntu saucy.

No description available for python-sss in ubuntu saucy.

sssd: No summary available for sssd in ubuntu saucy.

No description available for sssd in ubuntu saucy.

sssd-ad: No summary available for sssd-ad in ubuntu saucy.

No description available for sssd-ad in ubuntu saucy.

sssd-ad-common: No summary available for sssd-ad-common in ubuntu saucy.

No description available for sssd-ad-common in ubuntu saucy.

sssd-common: No summary available for sssd-common in ubuntu saucy.

No description available for sssd-common in ubuntu saucy.

sssd-ipa: No summary available for sssd-ipa in ubuntu saucy.

No description available for sssd-ipa in ubuntu saucy.

sssd-krb5: No summary available for sssd-krb5 in ubuntu saucy.

No description available for sssd-krb5 in ubuntu saucy.

sssd-krb5-common: No summary available for sssd-krb5-common in ubuntu saucy.

No description available for sssd-krb5-common in ubuntu saucy.

sssd-ldap: No summary available for sssd-ldap in ubuntu saucy.

No description available for sssd-ldap in ubuntu saucy.

sssd-proxy: No summary available for sssd-proxy in ubuntu saucy.

No description available for sssd-proxy in ubuntu saucy.

sssd-tools: No summary available for sssd-tools in ubuntu saucy.

No description available for sssd-tools in ubuntu saucy.